package com.dev.swms.server.service.interfaceLog;

import org.springframework.transaction.annotation.Transactional;
import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.interfaceLog.InterfaceLog;

import net.sf.json.JSONObject;

public interface InterfaceManager extends BaseManager{
	/**用户信息同步*/
	@Transactional
	String readJson(String json);
	/**入库数据*/
	@Transactional
	String readJsonKams(String jsonStr);
	/**出库数据*/
	@Transactional
	String readJsonCk(String jsonStr);
	/**线边*/
	@Transactional
	String readJsonXb(String jsonStr);
	@Transactional
	InterfaceLog storeInterfaceLog(String request,String fromSys,String toSys,String type,String content,Long id);
	int getTotalTs(String jzfp);
	int getNoPutTs(String jzfp);
	int getPutXs(String tph,Long d_id,String item_code);
	int getPutXs(String tph);
}
